RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Business.Service.UserService Class Reference

## Public Member Functions
UserRC | getInfo ()
List< UserRC > | getAll ()
UserRC | getByID (Long id) throws Exception
UserRC | getByEmail (String email) throws Exception
void | add (RegistrationObj reg) throws Exception
void | edit (UserEditObj userEditObj) throws Exception
void | changePassword (String currentPassword, String newPassword) throws Exception
void | setPassword (String newPassword, long id) throws Exception
void | addRole (ERole role, long id) throws Exception
void | removeRole (ERole role, long id) throws Exception
void | remove (long id) throws Exception

## Detailed Description

Zajistuje spravu uzivatelu v systemu

## Member Function Documentation

## ◆ add()

void com.robogames.RoboCupMS.Business.Service.UserService.add | ( | RegistrationObj | reg | ) | throws Exception
| inline

Prida do databaze noveho uzivatele

Parameters

  reg | Registracni udaje noveho uzivatele

Exceptions

  Exception |

## ◆ addRole()

void com.robogames.RoboCupMS.Business.Service.UserService.addRole | ( | ERole | role,
|  | long | id
| ) |  | throws Exception
| inline

Priradi roli uzivateli

Parameters

  role | Nova role, kterou prideli uzivateli
  id | ID uzivatele

Exceptions

  Exception |

## ◆ changePassword()

void com.robogames.RoboCupMS.Business.Service.UserService.changePassword | ( | String | currentPassword,
|  | String | newPassword
| ) |  | throws Exception
| inline

Zmena uzivatelskeho hesla

Parameters

  currentPassword | Aktualni heslo
  newPasword | Nove heslo

Exceptions

  Exception |

## ◆ edit()

void com.robogames.RoboCupMS.Business.Service.UserService.edit | ( | UserEditObj | userEditObj | ) | throws Exception
| inline

Editace udaju prihlaseneho uzivatele

Parameters

  userEditObj | Nove paramtery uzivatele

Exceptions

  Exception |

## ◆ getAll()

List<UserRC> com.robogames.RoboCupMS.Business.Service.UserService.getAll | ( |  | ) |
| inline

Navrati vsechny uzivatele

Returns
  Vsichni uzivatele v databazi

## ◆ getByEmail()

UserRC com.robogames.RoboCupMS.Business.Service.UserService.getByEmail | ( | String | email | ) | throws Exception
| inline

Navrati jednoho uzivatele se specifickym emailem

Parameters

  id | ID hledaneho uzivatele

Returns
  Informace o uzivateli

Exceptions

  Exception |

## ◆ getByID()

UserRC com.robogames.RoboCupMS.Business.Service.UserService.getByID | ( | Long | id | ) | throws Exception
| inline

Navrati jednoho uzivatele se specifickym id

Parameters

  id | ID hledaneho uzivatele

Returns
  Informace o uzivateli

Exceptions

  Exception |

## ◆ getInfo()

UserRC com.robogames.RoboCupMS.Business.Service.UserService.getInfo | ( |  | ) |
| inline

Navrati info o prihlasenem uzivateli

Returns
  Informace o uzivateli

## ◆ remove()

void com.robogames.RoboCupMS.Business.Service.UserService.remove | ( | long | id | ) | throws Exception
| inline

Odebere uzivatele

Parameters

  id | ID uzivatele, ktery ma byt odebran

Exceptions

  Exception |

## ◆ removeRole()

void com.robogames.RoboCupMS.Business.Service.UserService.removeRole | ( | ERole | role,
|  | long | id
| ) |  | throws Exception
| inline

Odebere uzivateli zvolenou roli

Parameters

  role | Nova role, kterou prideli uzivateli
  id | ID uzivatele jehoz atributy budou zmeneny

Exceptions

  Exception |

## ◆ setPassword()

void com.robogames.RoboCupMS.Business.Service.UserService.setPassword | ( | String | newPassword,
|  | long | id
| ) |  | throws Exception
| inline

Nastavi uzivateli nove heslo

Parameters

  newPasword | Nove heslo
  id | ID uzivatele, pro ktereho chceme heslo vygenerovat

Exceptions

  Exception |

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Business/Service/UserService.java